Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Interface POAManagerOperations

All Known Subinterfaces:
  AdapterManager, POAManager, ServerManager.AdapterManager

public interface POAManagerOperations

Interface definition : POAManager

Author:
  OpenORB Compiler

Method Summary
`void` | `activate()` Operation activate
`void` | `deactivate(boolean etherealize_objects, boolean wait_for_completion)` Operation deactivate
`void` | `discard_requests(boolean wait_for_completion)` Operation discard_requests
`State` | `get_state()` Operation get_state
`void` | `hold_requests(boolean wait_for_completion)` Operation hold_requests

Method Detail

### activate

    public void activate()
                  throws AdapterInactive

  Operation activate

### hold_requests

    public void hold_requests(boolean wait_for_completion)
                       throws AdapterInactive

  Operation hold_requests

### discard_requests

    public void discard_requests(boolean wait_for_completion)
                          throws AdapterInactive

  Operation discard_requests

### deactivate

    public void deactivate(boolean etherealize_objects,
                           boolean wait_for_completion)
                    throws AdapterInactive

  Operation deactivate

### get_state

    public State get_state()

  Operation get_state

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD